Issue 84 in hledger: hledger-web fails to install using cabal install

Showing 1-4 of 4 messages
Issue 84 in hledger: hledger-web fails to install using cabal install hle...@googlecode.com 3/3/12 7:14 AM
Status: New
Owner: ----
Labels: Priority-Medium

New issue 84 by st...@hustad.com: hledger-web fails to install using cabal  
install
http://code.google.com/p/hledger/issues/detail?id=84

I can't seem to install hledger-web on my mac, it fails to resolve some  
dependencies. I have install ghc and cabal-install using homebrew, and I  
believe everything is up to date (ie, I've moved away my old .cabal folder  
and done cabal update).

Version info:

$  cabal --version
cabal-install version 0.10.2
using version 1.10.2.0 of the Cabal library
$  ghc --version
The Glorious Glasgow Haskell Compilation System, version 7.0.4
$  uname -a
Darwin Cadence.local 11.3.0 Darwin Kernel Version 11.3.0: Thu Jan 12  
18:47:41 PST 2012; root:xnu-1699.24.23~1/RELEASE_X86_64 x86_64

Output from installation:

$  cabal install hledger-web
Resolving dependencies...
cabal: cannot configure yesod-static-0.10.1. It requires wai ==1.1.* and
yesod-core >=0.10.1 && <0.11
For the dependency on wai ==1.1.* there are these packages: wai-1.1.0 and
wai-1.1.0.1. However none of them are available.
wai-1.1.0 was excluded because wai-extra-0.4.6 requires wai ==0.4.*
wai-1.1.0 was excluded because yesod-0.9.4.1 requires wai ==0.4.*
wai-1.1.0 was excluded because yesod-core-0.9.4.1 requires wai ==0.4.*
wai-1.1.0.1 was excluded because wai-extra-0.4.6 requires wai ==0.4.*
wai-1.1.0.1 was excluded because yesod-0.9.4.1 requires wai ==0.4.*
wai-1.1.0.1 was excluded because yesod-core-0.9.4.1 requires wai ==0.4.*
For the dependency on yesod-core >=0.10.1 && <0.11 there are these packages:
yesod-core-0.10.1, yesod-core-0.10.2 and yesod-core-0.10.2.1. However none  
of
them are available.
yesod-core-0.10.1 was excluded because yesod-0.9.4.1 requires yesod-core
> =0.9.3.4 && <0.10
yesod-core-0.10.1 was excluded because yesod-core-0.9.4.1 was selected  
instead
yesod-core-0.10.1 was excluded because hledger-web-0.17 requires yesod-core
> =0.9.4.1 && <0.10
yesod-core-0.10.2 was excluded because yesod-0.9.4.1 requires yesod-core
> =0.9.3.4 && <0.10
yesod-core-0.10.2 was excluded because yesod-core-0.9.4.1 was selected  
instead
yesod-core-0.10.2 was excluded because hledger-web-0.17 requires yesod-core
> =0.9.4.1 && <0.10
yesod-core-0.10.2.1 was excluded because yesod-0.9.4.1 requires yesod-core
> =0.9.3.4 && <0.10
yesod-core-0.10.2.1 was excluded because yesod-core-0.9.4.1 was selected
instead
yesod-core-0.10.2.1 was excluded because hledger-web-0.17 requires  
yesod-core
> =0.9.4.1 && <0.10
$

Re: Issue 84 in hledger: hledger-web fails to install using cabal install hle...@googlecode.com 3/3/12 9:28 AM
Updates:
        Labels: Component-hledger-web

Comment #1 on issue 84 by si...@joyful.com: hledger-web fails to install  


using cabal install
http://code.google.com/p/hledger/issues/detail?id=84

I have cabal installed hledger-web 0.17 with ghc 7.0.4 on mac. You don't  
mention removing ~/.ghc, are you sure your reset was successful ? The  
ghc-pkg-reset shell script at https://gist.github.com/1185421 does a full  
reset, after which I'd expect cabal-install hledger-web to work. If you can  
join #ledger, troubleshooting will be easier there.

Re: Issue 84 in hledger: hledger-web fails to install using cabal install hle...@googlecode.com 3/3/12 11:08 AM
Updates:
        Status: Fixed
        Labels: -Priority-Medium Priority-High

Comment #2 on issue 84 by si...@joyful.com: hledger-web fails to install  


using cabal install
http://code.google.com/p/hledger/issues/detail?id=84

Thanks for the report and additional info. I've released hledger-web-0.17.1  
with tighter upper dependency bounds, which should fix this.

Re: Issue 84 in hledger: hledger-web fails to install using cabal install hle...@googlecode.com 3/4/13 5:15 PM
Updates:
        Labels: Type-Defect

Comment #3 on issue 84 by si...@joyful.com: hledger-web fails to install  
using cabal install
http://code.google.com/p/hledger/issues/detail?id=84

(No comment was entered for this change.)

--
You received this message because this project is configured to send all  
issue notifications to this address.
You may adjust your notification preferences at:
https://code.google.com/hosting/settings